• twitter image
  • facebook image
  • youtube image
  • linkedin image
Language: CMS Made Simple Czech CMS Made Simple France CMS Made Simple Spain CMS Made Simple Hungary CMS Made Simple Russia CMS Made Simple Netherlands

All times are UTC




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: Upgrade FEUser - I think I've broken my site
PostPosted: Mon Jan 23, 2017 7:36 pm 
Offline
Forum Members
Forum Members

Joined: Tue Mar 03, 2009 3:32 pm
Posts: 80
Hi,

I really hope someone can help me.
I am a newbie and have been given a server to look after. It was running an old version of CMS Simple 1.9.4.2 and I upgraded to 1.12.1.
All seemed ok but when I tried to upgrade the Front End User module it fell over and I received the following message:
ALTER TABLE dkkcms_module_feusers_properties ADD FOREIGN KEY (title) REFERENCES dkkcms_module_feusers_propdefn (name) Cannot add or update a child row: a foreign key constraint fails (`karate_cms`.`#sql-343e_6993`, CONSTRAINT `#sql-343e_6993_ibfk_6` FOREIGN KEY (`title`) REFERENCES `dkkcms_module_feusers_propdefn` (`name`))

Now I have no idea what to do.
Has anyone seen this and are able to tell me where and how I can fix this?
As I am no longer able to get into my site I can't grab and more specific details about the set up.

Charmie


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade FEUser - I think I've broken my site
PostPosted: Mon Feb 27, 2017 2:51 pm 
Offline
Forum Members
Forum Members

Joined: Tue Mar 03, 2009 3:32 pm
Posts: 80
Hi,

I managed to find an old copy of the site and get that back up and running, but now on the Admin screen it displays the following:

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /var/sites/c/christchurchnorthfinchley.co.uk/public_html/lib/html_entity_decode_utf8.php on line 38

Please someone help.
Thanks
Charmaigne


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade FEUser - I think I've broken my site
PostPosted: Mon Feb 27, 2017 6:04 pm 
Offline
Forum Members
Forum Members
User avatar

Joined: Fri Dec 09, 2005 12:36 pm
Posts: 238
Location: Marlow, UK
The issue with the foreign key restraints when trying to upgrade FEU was present in older versions of the module. It's been fixed since but it may be that if you were upgrading using a version of FEU prior to 1.31.2 that may be your problem.

Bug log is http://dev.cmsmadesimple.org/bug/view/10934

It looks as if 1.31.3 was probably the last version of FEU that would run on version 1 of the CMS - give that a go.

The 'deprecated' notice will probably go away once you manage to update. You could probably just change your error reporting settings if you want to get rid of it - but you really should upgrade if you can.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
A2 Hosting